# Pengembangan Aplikasi Android Safety Drive
Aplikasi android/ios untuk driver yang dapat menilai perilaku saat berkendara.
User (driver) mendaftarkan diri sebagai individu atau kelompok driver (PO Bus, Blue Bird, dst [list kelompok diatur di CMS]). 

Proses penilaian driver:

 1.  Penilaian diambil selama berkendara dari data **GPS, Gyro, Accelorometer dan kompas**. 
 2.  Artikel berita yang telah dibaca [user harus **selesai** sampai halaman **terakhir** untuk mendapatkan **poin**]
 3.  Quiz pilihan ganda terkain safety drive (pertanyaaan : **Gambar, Video dan Narasi**)
 4.  Ujian safety drive (aplikasi web pelatihan berkendara) report + QR terhubung dgn penilaian di android
 5.    

## Detail aplikasi CMS Backend + REST API
PHP 7.2 + Codeigniter 3 + MySQL/ PgSQL +
List Fungsi CMS:

- [ ] A - CRUD User auth,
- [ ] A - CRUD Kelompok Driver
- [ ] B - CRUD Berita/Info/Tips/Offering
- [ ] B - CRUD Quiz/Trivia
- [ ] C - CRUD Poin Excange (pengumpulan dan pengunaan)
- [ ] C1- CRUD Modul Mitra tempat penukaran kupon (cetak QR)  
- [ ] Rest API -> Auth
- [ ] Rest API -> Poin excange
- [ ] Rest API -> Berita + Quiz

### Diagram Kerja
1.  Pengumpulan Poin User  
```mermaid
sequenceDiagram
Drafter->> KAK: Kirim dokumen fisik 
Note right of Drafter: Status: 6
KAK-->> Drafter: Sertifikat tidak sesuai/lengkap
KAK->> Sales: Kelengkapan dokumen
Note right of KAK: Status: 7
Sales-->> KAK: Dokumen dilengkapi 
KAK ->> Expedisi: Proses pengiriman dokumen pelangan
```
